Skip to main content
GET
/
network-partner
/
supported
/
currencies
Search supported currencies
curl --request GET \
  --url https://api.meld.io/network-partner/supported/currencies
{
  "currencies": [
    {
      "currencyCode": "USDC",
      "name": "USD Coin",
      "decimalPlaces": 6,
      "type": "CRYPTO",
      "chainCode": "ETH",
      "contract": "0x1234...",
      "symbol": "https://cdn.meld.io/images-currency/crypto/USDC/symbol.png"
    }
  ]
}

Headers

Meld-Account-Id
string

Optional. Base58 encoded account id. Restricts results to providers configured for the account. If Basic Auth is also present, the effective scope is the intersection of authenticated providers and account providers.

Query Parameters

category
enum<string>

Provider category Categories of functionality offered by a service provider

Available options:
CRYPTO_ONRAMP,
CRYPTO_OFFRAMP,
CRYPTO_TRANSFER,
BANK_LINKING,
FIAT_PAYMENTS,
CRYPTO_VIRTUAL_ACCOUNT_ONRAMP,
CRYPTO_VIRTUAL_ACCOUNT_OFFRAMP,
CUSTOMER_KYC,
CRYPTO_ONRAMP_SWAP,
CRYPTO_OFFRAMP_SWAP
country
string

Country code

network
string

Network code. Only valid for crypto searches.

partner
string

Partner identifier

paymentType
enum<string>

Payment method type supported for the route. Enumeration of payment method types supported by the platform

Available options:
BANK_TRANSFER,
CARD,
CASH,
EXCHANGE,
LOCAL,
MOBILE_WALLET
providerCurrencyCode
string

Provider-specific currency code. Valid for both crypto and fiat searches.

subdivision
string

Country subdivision code. Supported for US and CA only.

type
enum<string>
default:CRYPTO

Currency type. Defaults to CRYPTO. Identifies whether a currency is fiat or crypto

Available options:
FIAT,
CRYPTO

Response

Supported currency list

Response wrapper for currencies

currencies
object[]

List of currencies